<?php
class Instruktor
{
public $id_instruktora;
public $jmeno;
public $prijmeni;
public $tel_cislo;
public $email;
public $heslo;
public $prava;

public function nastavHodnoty($id_instruktora, $jmeno, $prijmeni, $tel_cislo, $email, $heslo, $prava)
{
    $this->id_instruktora = $id_instruktora;
    $redexp = "/^[A-Za-z0-9ĚŠČŘŽÝÁÍÉŇŤěščřžýáíéťň]+$/";
    if(preg_match($redexp,$jmeno))
    {
        $this->jmeno = htmlspecialchars($jmeno, ENT_QUOTES);
    }
    else {
        echo "<script>
        alert('Neplatné jméno!');
        </script>" ;
        return false;
    }
    $redexp = "/^[A-Za-z0-9ĚŠČŘŽÝÁÍÉŇŤěščřžýáíéťň]+$/";
    if(preg_match($redexp,$prijmeni))
    {
        $this->prijmeni = htmlspecialchars($prijmeni, ENT_QUOTES);
    }
    else {
        echo "<script>
        alert('Neplatné příjmení!');
        </script>" ;
        return false;
    }
    $redexp = "/[+]?[()0-9. -]{9,}$/";
    if(preg_match($redexp,$tel_cislo))
    {
        $this->tel_cislo = htmlspecialchars($tel_cislo, ENT_QUOTES);
    }
    else {
        echo "<script>
        alert('Neplatné telefonní číslo!');
        </script>" ;
        return false;
    }
    if (filter_var($email, FILTER_VALIDATE_EMAIL))
    {
        $this->email = filter_var($email, FILTER_VALIDATE_EMAIL);
    }
    else
    {
        echo "<script>
       alert('Neplatný email!');
       </script>" ;
        return false;
    }
    $this->heslo = password_hash($heslo, PASSWORD_DEFAULT);

    $redexp = "/instruktor|admin/";
    if (preg_match($redexp, $prava))
    {
        $this->prava = $prava;
    }
    else{
        echo "<script>
       alert('Neplatné právo! (lze zadat pouze práva instruktor nebo admin)');
       </script>" ;
        return false;
    }

    return true;
}

    public  function vypis()
    {

        ?>
        <table class="table">
            <tr >
                <form method="post">
                    <input class="col-sm-1" type="text" name="id_instruktora" placeholder="ID instruktora" required value="<?php echo $this->id_instruktora; ?>" readonly>
                    <input class="col-sm-1" type="text" name="jmeno" placeholder="Jméno" required value="<?php echo $this->jmeno; ?>">
                    <input class="col-sm-1" type="text" name="prijmeni" placeholder="Přijmení" required value="<?php echo $this->prijmeni; ?>">
                    <input class="col-sm-1" type="number" name="tel_cislo" placeholder="Telefoní číslo" required value="<?php echo $this->tel_cislo; ?>">
                    <input class="col-sm-2" type="text" name="email" placeholder="Email" required value="<?php echo $this->email; ?>">
                    <input class="col-sm-1" type="password" name="heslo" placeholder="Heslo" required value="<?php echo $this->heslo; ?>">
                    <input class="col-sm-1" type="text" name="prava" placeholder="Práva" required value="<?php echo $this->prava; ?>">
                    <input class="col-sm-0,5 btn btn-primary" type="submit" name="edit" value="Upravit">
                    <input class="col-sm-0,5 btn btn-secondary" type="submit" name="smaz" value="Smazat"></form>
            </tr>
        </table>
        <?php
}

public function nastavOsHodnotyInstruktora($jmeno, $prijmeni, $tel_cislo, $email)
{
    $this->jmeno = htmlspecialchars($jmeno,ENT_QUOTES);
    $this->prijmeni = htmlspecialchars($prijmeni,ENT_QUOTES);
    $this->tel_cislo = htmlspecialchars($tel_cislo,ENT_QUOTES);
    $this->email = htmlspecialchars($email,ENT_QUOTES);
}
}