<?php
session_start();
if(!isset($_SESSION["id_instruktora"]))
{
    header("Location:index.php ");
}
include_once "instruktorDB.php";
include_once "instruktor.php";
$db= new InstruktorDB();
$instruktor = new Instruktor();

$regexp = "^[+]?[()/0-9. -]{9,}$^";
if (isset($_POST["odeslat"]))
{
    if (!filter_var($_POST["email"], FILTER_VALIDATE_EMAIL))
    {
        $zprava = "Zadán neplatný email!";
    }
    elseif (!preg_match($regexp, $_POST["tel_cislo"]))
    {
        $zprava = "Zadáno neplatné telefonní číslo!";
    }
    elseif (!$db->overEmail($_POST["email"]))
    {
        $zprava = "Zadaný email již existuje!";
    }
    else{
    $instruktor = new Instruktor();

    $instruktor->nastavHodnoty(NULL, $_POST["jmeno"], $_POST["prijmeni"], $_POST["tel_cislo"],
        $_POST["email"], $_POST["heslo"], $_POST["prava"]
    );
    $id = $db->zaregistrujInstruktora($instruktor);

    if($id> 0)
    {
        $zprava = "registrace byla úspěšně provedena";
    }
    else
    {
        $zprava = "registrace nebyla provedena";
    }
}
}
?>
<html>
<head>
    <title>DRIVE</title>
    <link rel="stylesheet" type="text/css" href="bootstrap.min.css">
</head>
<body>
<div class="container">
    <nav role="navigation">
        <ol class="breadcrumb">
            <li class="breadcrumb-item"><a href="prehled_instruktoru.php">Přehled instruktorů</a></li>
            <li class="breadcrumb-item active">Registrace nového instruktora</li>
        </ol>
    </nav>

    <div class="d-flex justify-content-center">
        <div class="card border-secondary mb-3">
            <div class="card-header"><h4> Registrace nového instruktora</h4></div>

            <div class="card-body text-secondary  text-center">
<form method="post">
    Jméno: <br />
    <input type="text" name="jmeno" placeholder="Jméno" required><br /><br />
    Příjmení:<br />
    <input type="text" name="prijmeni" placeholder="Příjmení" required><br /><br />
    Telefonní číslo:<br />
    <input type="text" name="tel_cislo" placeholder="Telefonní číslo" required><br /><br />
    Email:<br />
    <input type="text" name="email" placeholder="Email" required><br /><br />
    Heslo:<br />
    <input type="password" name="heslo" placeholder="Heslo" required><br /><br />
    Práva:<select name="prava" class="form-select" required>
        <option value="instruktor">Instruktor</option>
        <option value="admin">Admin</option>
    </select><br /><br />
    <input type="submit" name="odeslat" class="btn btn-primary" value="Registrovat"><br />
    <div class="text-danger">
    <?php
    if(isset($zprava))
    {
        echo $zprava;
    }
    ?>
    </div>
</form>
</div>
</div>
</div>