<?php
session_start();
if(!isset($_SESSION["id_instruktora"]))
{
    header("Location:index.php ");
}

include_once "zak.php";
include_once "zakDB.php";
$db= new ZakDB();
$regexp = "^[+]?[()/0-9. -]{9,}$^";
if(isset($_POST["odeslat"]))
{

if (!filter_var($_POST["email"], FILTER_VALIDATE_EMAIL))
{
    $zprava = "Zadán neplatný email!";
}
elseif (!preg_match($regexp, $_POST["tel_cislo"]))
{
    $zprava = "Zadáno neplatné telefonní číslo!";
}
elseif (!$db->overEmail($_POST["email"]))
{
    $zprava = "Zadaný email již existuje!";
}
else
{
    $zak= new Zak();
    $db= new ZakDB();

    $zak->nastavHodnoty(NULL, $_POST["jmeno"], $_POST["prijmeni"], $_POST["datum_narozeni"], $_POST["tel_cislo"],
        $_POST["email"], $_POST["skupina_opravneni"], 0, $_POST["heslo"]);
    $id = $db->zaregistrujZaka($zak);

    if($id> 0)
    {
        $zprava = "registrace byla provedena";
    }
    else
    {
        $zprava = "registrace nebyla provedena";
    }
}
}
?>
<html>
<head>
    <title>DRIVE</title>
    <link rel="stylesheet" type="text/css" href="bootstrap.min.css">
</head>
<body>
<div class="container">
<nav role="navigation">
    <ol class="breadcrumb">
        <li class="breadcrumb-item"><a href="prehled_zaku.php">Přehled žáků</a></li>
        <li class="breadcrumb-item active">Registrace nového žáka</li>
    </ol>
</nav>

<div class="d-flex justify-content-center">
<div class="card border-secondary mb-3">
    <div class="card-header"><h4> Registrace nového žáka</h4></div>

    <div class="card-body text-secondary text-center">
<form method="post">
    <div class="form-row">
    Jméno: <br />
    <input name="jmeno" type="text" required><br />
    Příjmení: <br />
    <input name="prijmeni" type="text" required><br /><br />
    Datum narození: <br />
    <input name="datum_narozeni" type="date" required><br /><br />
    </div>
    Telefonní číslo: <br />
    <div class="col"></div>
    <input name="tel_cislo" type="text" required><br /><br />
    Email: <br />
    <input name="email" type="text" required><br /><br />
    Heslo: <br />
    <input name="heslo" type="password" required><br /><br />
    Skupina řidičského oprávnění: <br />
    <select name="skupina_opravneni" class="form-select" required>
        <option value="A">Skupina oprávnění A</option>
        <option value="B">Skupina oprávnění B</option>

    </select>
    <br />
    <br />
    <br />
    <input name="odeslat" type="submit" class="btn btn-primary" value="Zaregistrovat žáka">
</form>
        <div class="text-danger">
<p><?php if (isset($zprava))
    {
        echo $zprava;
    }?></p>
        </div>
    </div>
</div>
</div>
    </body>
</html>