<?php
session_start();
if(!isset($_SESSION["id_instruktora"]))
{
    header("Location:index.php ");
}

include_once "instruktor.php";
include_once "instruktorDB.php";
include_once "rezervace.php";
include_once "rezervaceDB.php";

if(isset($_POST["odeslat"]))
{
    $datum = $_POST["datum"];
    $cas = $_POST["cas"];
    $misto = $_POST["misto"];
    $poznamka = $_POST["poznamka"];
    $skupina_opravneni = $_POST["skupina_opravneni"];

    if($_POST["datum"]<= date('Y-m-d'))
    {
        $zprava = "Datum v minulosti nelze zadat!";
    }
    else
    {
    $rezervace = new rezervace();
    $rezervace ->nastavHodnotyRezervace($datum, $cas, $misto, $poznamka, $skupina_opravneni);
    $db = new RezervaceDB();
    $id = $db->ulozeniRezervace($rezervace);
    if ($id>0)
    {
        $zprava = "Rezervace byla vložena";
    }
    else
    {
        $zprava = "Rezervace nebyla vložena";
    }
    }
}
?>
<!DOCTYPE html>
<html>
<head>
    <meta charset="UTF-8">
    <title>DRIVE</title>
    <link rel="stylesheet" href="bootstrap.min.css">
</head>
<body>
<div class="container">
    <nav role="navigation">
        <ol class="breadcrumb">
            <li class="breadcrumb-item"><a href="prehled_rezervaci_instruktor.php">Přehled rezervací</a></li>
            <li class="breadcrumb-item active">Vytvoření nové rezervace</li>
        </ol>
    </nav>

    <div class="d-flex justify-content-center">
        <div class="card border-secondary mb-3">
            <div class="card-header"><h4> Zadat novou rezervaci</h4></div>

            <div class="card-body text-secondary  text-center">
                <form method="post">
    Datum:<br />
    <input name="datum" type="date" required><br /><br />
    Čas:<br />
    <input name="cas" type="time" required><br /><br />
    Místo:<br />
    <input name="misto" type="text" required><br /><br />
    Skupina řidičského oprávnění:<br />
    <select name="skupina_opravneni" class="form-select">
        <option value="A">Skupina oprávnění A</option>
        <option value="B">Skupina oprávnění B</option>

    </select><br /><br />
    Poznámka:<br />
    <textarea name="poznamka" placeholder="Např. upřesnění místa"></textarea><br /><br />
    <input name="odeslat" type="submit" class="btn btn-primary" value="Zveřejnit rezervaci">
</form>
<div class="text-danger">
<p><?php if (isset($zprava))
    {
        echo "$zprava";
    }?>
</p></div>
            </div>
        </div>
    </div>
<br />
</div>
</body>
</html>